Skip to main content
POST
Exchange an authorization code for tokens

Body

application/x-www-form-urlencoded
grant_type
string
required

OAuth grant type. Use authorization_code.

Example:

"authorization_code"

code
string
required

Authorization code received after consent.

Example:

"<authorization-code>"

client_id
string
required

OAuth client ID.

Example:

"client_123"

client_secret
string
required

OAuth client secret.

Example:

"<client-secret>"

nonce
string

Optional nonce associated with the authorization request.

Example:

"nonce_123"

Response

The tokens for the authorization code, which is consumed and cannot be exchanged again. id_token is the credential the SOXAI API accepts as Authorization: Bearer, and refresh_token renews it.